   Oracle9i Application Server Release Notes
   Release 1.0.2.1 for Windows NT/2000
   A88728-01
   
1. Summary of Changes and New Features

   This document is accurate to the best of our knowledge at the time of
   publication. Information that is discovered subsequent to publication
   will be available through normal support channels.
   
   You can access the latest information and additions to these Release
   Notes on the Oracle Technology Network at:

http://technet.oracle.com/products/ias

1.1 Purpose of this Document

   This document notes differences between Oracle9i Application Server
   Release 1.0.2.1 for Windows NT components and their documented
   functionality.
   
1.2 Note About Product Naming

   Product name changes in this release are:
   
   Old Name                               New Name
   -------------------------------------  ------------------------------
   
   Oracle8i JVM                           Oracle Enterprise Java Engine (EJE)
   
   Oracle Forms Service                   Oracle9iAS Forms Services
   
   Oracle LDAP Developer's Kit            Oracle Internet Directory (Client) 
                                          Kit
   
   Oracle Database Client Developer's Kit Oracle Database Developer Kit
   
   Oracle XML Developer's Kit             Oracle XML Developer Kit
   
   Oracle Portal                          Oracle9iAS Portal
   
   Oracle Portal-to-Go                    Oracle9iAS Wireless
   
   Oracle Database Cache                  Oracle9iAS Database Cache
   
   Oracle Web Cache                       Oracle9iAS Web Cache
   
   Oracle Reports Service                 Oracle9iAS Reports Services
   
   Oracle Discoverer                      Oracle9iAS Discoverer
   
   Oracle Transparent Gateways            Oracle Gateways
   
   Oracle eMail Server                    Oracle9iAS Email
   
   Oracle Unified Messaging               Oracle9iAS Unified Messaging
 
   Oracle Internet File System            Oracle9i File System

   Note that some of the documentation and configuration screens in this
   release may still refer to these components by their old names.
   
1.3 Note About Apache JServ Processes

   The maximum number of Apache JServ processes supported in an Oracle9i
   Application Server site has been increased from the Apache
   distribution default maximum of 25 to an Oracle9i Application Server
   maximum 128. This value is not runtime configurable.
   
1.4 Note About Oracle HTTP Server Status

   The Oracle HTTP Server with SSL is now production status. This status
   applies to all features except for those noted in this document. In
   particular, production status does not apply to the problem described
   in Section 1.8.37, "Passphrase-protected Private Key Causes Apache
   Hang on Startup".
   
1.5 JDK/JRE Certification

   Oracle has certified the use of both JDK/JRE 1.1.8 and JDK/JRE 1.2.x
   for building and deploying Java applications with mod_jserv. For this
   release, all Java class libraries (e.g., Oracle Business Components
   for Java, Oracle XML Developer's Kit) are shipped compiled with JDK
   1.1.8_10. These compiled classes are certified to run under both
   supported versions of the Java JRE, and they must not be recompiled.
   
1.6 Global Server IDs for Oracle HTTP Server powered by Apache

   You can use Global Server IDs to legally upgrade an export-level
   browser to use high grade encryption (128 bit) if the Apache server
   contains an appropriate GS-ID certificate and the browser has been
   patched to accept a GS-ID certificate. While all browsers are shipped
   with high encryption, it is disabled for export products. Note that
   with the recent change in US export laws, using GS-ID will not be
   necessary in the future; for now, however, if you have an export grade
   browser and require a high level of encryption, follow the steps below
   to obtain a GS-ID certificate and enable your browser:
    1. Buy a GS-ID Certificate.
       
       Obtain a GS-ID certificate from an appropriate vendor. Oracle has
       tested the GS-ID certificate from Verisign
       (http://www.verisign.com/server/prd/g/index.html).
       
       Follow the instructions for downloading and saving the certificate
       on your server. After obtaining the certificate, the Oracle HTTP
       Server administrator must update the httpd.conf file. The lines to
       update are:

SSLCertificateFile <pathname>/gsid.crt

SSLCertificateKeyFile <pathname>/gsid.key

SSLCertificateChainFile <pathname>/gsidintermediate.crt

       where pathname is the fully qualified path to the installed
       Verisign file(s).
    2. Buy the Browser Patch.
       
       Obtain a patch that will allow your browser to upgrade the
       encryption method. Sources include Apache (www.apache.org) and
       Fortify (www.fortify.net/intro.html). Oracle has tested the patch
       from Fortify. It is straightforward to download and apply to your
       browser.
       
1.7 Examples and Demos

   Demos and examples for most Oracle9i Application Server components can
   be found at http://<hostname:port> where hostname is the name of your
   machine and port is your Oracle HTTP Server listener port. For more
   information on this port, refer to the Apache documentation.
   
   In addition, examples and demos of Oracle9i Application Server
   components are provided on your product CD-ROM and installed in the
   component directories.
   
1.7.1 Demo Limitations

OracleJSP Demos: SAMPLE3.JSP

   When running the OracleJSP demo SAMPLE3.JSP (ORACLE JSP
   DEMO->SQLACCESS->SQLTAGS->SAMPLE3.JSP), the resulting page may have no
   output. This demo is working correctly, but the browser can not
   display XML output directly. To see the XML output, choose
   View->PageSource.
   
OracleJSP Demos: XML QUERY

   To ensure that the demo ORACLE JSP DEMO->XML->XML QUERY works
   correctly, you must first establish a database connection.
   
1.8 Known Restrictions and Limitations

   Before using Oracle9i Application Server, read through each item in
   this section to gain an understanding of the restrictions and
   limitations in this release that may require additional steps.
   
1.8.1 Support for Third Party Components in Oracle9i Application Server

All Third Party Components

   Portions of Oracle9i Application Server are distributed by Oracle
   under license from third parties ("Third Party Components"), including
   the Apache Web Server, version 1.3.12, licensed by the Apache Software
   Foundation. Oracle is distributing these Third Party Components as
   part of the Oracle9i Application Server product and, except as
   specified herein, will provide standard product support for the Third
   Party Components, as such support is further defined in the Oracle
   technical support policies. Please note that Oracle will only support
   the version of the Third Party Component shipped with Oracle9i
   Application Server and that other versions which may be freely
   available on the Internet will not be supported by Oracle.
   
   Oracle may, as a courtesy, refer enhancement requests regarding the
   Third Party Components to the party who licensed the Component to
   Oracle; however, Oracle shall have no obligation to do so. In
   addition, no technical assistance requests will be filed on the
   non-Third Party Components (the "Oracle Components") unless the
   problem can be reproduced in an environment consisting of only the
   Oracle Components.
   
Apache Modules

   Oracle may distribute certain extensions to the Apache Web Server
   ("Apache Modules") to enhance the functionality provided by the Apache
   Web Server as part of Oracle9i Application Server. Apache Modules
   distributed by Oracle are referred to in these Release Notes as Oracle
   Apache Modules.
   
   Oracle supports the following Oracle Apache Modules in this release:
   
 mod_ssl -  SSL support.
   
   mod_perl - Support for writing Apache modules in Perl.
   
   mod_jserv - Communication with servlet engine.
   
   mod_plsql - PL/SQL support.
   
   mod_ose - Delegates URLS to stateful Java and PL/SQL servlets in Oracle
   Servlet Engine (OSE). 

   http_core - Core Apache features.
   
   mod_access - Host-based access control; provides access control based on 
   client hostname or IP address.
   
   mod_actions - Filetype/method-based script execution; provides for CGI 
   scripts based on media type or request method.
   
   mod_alias - Aliases and redirects; provides for mapping different parts of  
   the host filesystem in the document tree, and for URL redirection.
   
   mod_auth - User authentication using text files.
   
   mod_auth_anon - Anonymous user authentication, FTP-style.
   
   mod_autoindex - Automatic directory listings.
   
   mod_cgi - Execution of CGI scripts; processes any file with mime type
   application/x-httpd-cgi.
   
   mod_digest - MD5 authentication; provides for user authentication using MD5 
   Digest Authentication.
   
   mod_dir - Basic directory handling; provides for "trailing slash" redirects 
   and serving directory index files.
   
   mod_env - Passing of environments to CGI scripts; provides for passing
   environment variables to CGI/SSI scripts.
   
   mod_expires - Apply Expires: headers to resources; provides for the  
   generation of Expires headers according to user-specified criteria.
   
   mod_headers - Add arbitrary HTTP headers to resources; headers can be  
   merged, replaced or removed.
   
   mod_include - Server-parsed documents; provides for server-parsed HTML     
   documents.
   
   mod_log_config - User-configurable logging replacement for mod_log_common; 
   provides for logging requests made to the server, using the Common Log 
   Format or a user-specified format.
   
   mod_mime - Determining document types using file extensions.
   
   mod_negotiation - Content negotiation.
   
   libproxy (mod_proxy) - Caching proxy abilities; provides for an HTTP 1.0  
   caching proxy server.
   
   mod_rewrite - Powerful URL-to-filename mapping using regular expressions;    
   provides a rule-based rewriting engine to rewrite requested URLs on the 
   fly.
   
   mod_setenvif - Set environment variables based on client information;  
   provides for the ability to set environment variables based upon attributes 
   of the request.
   
   mod_so - Support for loading modules at runtime; provides for loading of
   executable code and modules into the server at start-up or restart
   time.
   
   mod_speling - Automatically correct minor typographical errors in URLs;  
   attempts to correct misspellings of URLs that users enter, by ignoring
   capitalization and allowing up to one misspelling.
   
   mod_status - Server status display; allows a server administrator to find  
   out how well the server is performing, presenting an HTML page that gives 
   the current server statistics in an easily readable form.
   
   mod_userdir - User home directories; provides for user-specific  
   directories.
   
   mod_usertrack - User tracking using cookies.

   
   Any other Oracle Apache Modules that are included in Oracle9i
   Application Server are provided "as is" without warranty or support
   of any kind. Apache Modules from any source other than Oracle,
   including the Apache Software Foundation or a customer, will not be
   supported by Oracle.
   
   In addition, Oracle will only provide technical support for problems
   that can be reproduced with an Apache configuration consisting only of
   supported Oracle Apache Modules.
   
   Oracle supports the use of the included Perl interpreter within the
   supported Apache configuration only.
   
Support for Oracle9i Application Server Plug-ins:

   Oracle has developed several plug-ins components that allow portions
   of 9i Application Server to be used with web listeners provided by
   third parties. Except as provided herein, Oracle will provide standard
   product support for these plug-in components, as such support is
   further defined in the Oracle technical support policies.
   
   Support for these plug-in components does not imply that any other
   Oracle-supplied applications, tools, or components will be supported
   in an environment using these third-party listeners: consult product
   documentation for details of product-specific support for third-party
   listeners. Oracle will only provide technical support for a
   configuration that has been certified by Oracle.
   
   Oracle provides support only for the installation, configuration, and
   use of the Oracle-provided plug-in components, and does not provide
   general support on the installation, configuration, or use of any
   third party listener.
   
   If a customer reports an issue with a plug-in component, Oracle will
   work on that issue using the normal support processes and escalation
   procedures. If Oracle determines that the problem lies in the
   third-party listener, it will be the customer's responsibility to
   obtain support from the listener vendor.
   
1.8.2 Preserving Changes to Oracle HTTP Server Configuration on
Re-installation in Same Oracle Home

   Be sure to save copies of httpd.conf, jserv.conf, zone.properties, and
   any Oracle HTTP Server configuration files that you have changed. When
   you re-install Oracle9iAS into the same Oracle home, existing
   configuration files are overwritten with the newly installed files.
   
1.8.3 Configuring Oracle iFS and Oracle9iAS Email to run on the same machine

   The Oracle iFS e-mail component and the Oracle eMail server both use
   Sendmail for mail transfer. iFS requires Sendmail version 8.9.3 or
   later and eMail Server requires versions of Sendmail later than 8. iFS
   ships an open source version of Sendmail 8.9.3 for Solaris and other
   UNIX ports. Windows NT and Windows 2000 installations require
   purchasing Sendmail version 3.0 or 3.0.2 (respectively) for both
   e-mail components.
   
   To run the Oracle eMail server and Oracle iFS on the same machine, you
   must configure them by following the steps below in the order shown:
    1. Use the Oracle iFS post-installation scripts to set up the
       Sendmail 8.9.3 executable and generate the sendmail.cf file. (For
       more information, see the postinstallation steps in the Oracle iFS
       Installation Guide).
       
    2. Incorporate the changes required for Oracle eMail server into
       sendmail.cf. (For more information, see Chapter 3,
       Postinstallation, in the Oracle9iAS Email Installation Guide.)
       
     _________________________________________________________________
                                      
   Note:
   
   If you incorporate the eMail server configuration changes into
   sendmail.cf and then run the scripts, the scripts will overwrite the
   changes (that is, generate sendmail.cf anew).
     _________________________________________________________________
                                      
   If the IMAP servers provided by Oracle iFS and Oracle9iAS Email are to
   be run on the same machine, you must configure them to listen on
   different ports. (Use the Oracle iFS configuration utility and the
   Oracle9iAS Email Administration tool to specify the port for the
   component.)
   
   For example, you can configure the Oracle9iAS Email to listen on the
   default port 143, and configure the Oracle iFS IMAP server to listen
   on some other port, as required by the installation.
   
   The clients accessing the IMAP servers must have accounts mapped to
   these specific ports. To access both servers at the same time, you
   must use clients that allow you to set the IMAP port number.
   Alternatively, you can run the two IMAP4 servers on two different
   Internet Application Server installations.
   
1.8.4 Long Startup TIme for Internet File System

   The Internet File System may take up to 10 minutes to start. The start
   is delayed further if you use other applications while Internet File
   System is starting.
   
1.8.5 Standard Edition Migration Installation Hangs at NET8 Configuration

   Oracle9i Application Server Standard Edition Migration installation
   may hang at Net8 configuration. As a workaround, stop Net8
   Configuration by clicking the Stop in the OUI. The installation will
   proceed, and following other configurations, you can 'retry' Net8
   configuration to complete the configuration successfully.
   
1.8.6 De-Installation/Cleanup Procedure

   After deinstalling Oracle9i Application Server on Windows NT or
   Windows 2000, perform the following steps to clean up your system of
   any Oracle remnants:
    1. Delete your ORACLE_HOME.
       
    2. Delete all Oracle services using regedit. Delete the following
       entries:
       
          + All entries beginning with Oracle in
            HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001.
            
          + All entries beginning with Oracle in
            HKEY_LOCAL_MACHINE\SYSTEM\ControlSet003.
            
          + All entries beginning with Oracle in
            HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet
            
    3. Remove all PATH entries relating to Oracle9i Application Server.
       One way to do this is on the Environment tab page of the System
       dialog box (from the Start menu, choose Settings->Control Panel.
       In the Control Panel dialog box, double-click System).
       
1.8.7 Errors Opening redo Logs after Installation

   After installing the Oracle9i Application Server seed database, you
   may see the following errors in the user dump location:

ORA-00313: open failed for members of log group 1 of thread 1
ORA-00312: online log 1 thread 1: '<redo log file_name>'
ORA-27037: unable to obtain file status

   These are not serious errors. The redo logs are created in a future
   step of the seed database creation.
   
1.8.8 Help Screen Does Not Close in OUI

   If you are in the 'Inventory' screen (listing of all installed
   products) and click Help, you cannot close the help screen until the
   Inventory screen is closed.
   
1.8.9 Path Modification in FormsServlet.InitArgs Required

   The Oracle9i Application Server Enterprise Edition installation
   creates the file FormsServlet.InitArgs in ORACLE_HOME (Release 8.0.6).
   The file specifies fully qualified paths for BaseHTMLJinitiator,
   BaseHTMLie and BASEHTML, using the standard Windows NT backslash
   character ("\"). Because Apache can not interpret the backslash
   character, you need to edit formsservlet.initargs and replace all path
   backslash characters with forward slashes ("/").
   
   The full path to this file is

%ORACLE_HOME%\Apache\jserv\servlets\oracle\forms\servlet\FormsServlet.InitArgs

1.8.10 Building mod_perl DBI/DBD-Oracle and Apache::DBI

   To build, install, and test mod_Perl DBI/DBD-Oracle and Apache::DBI
   for Windows NT, follow these steps:
    1. Verify that the following software is available in your
       environment:
       
       Windows NT 4.0 SP3
       
       Visual Studio version 5.0
    2. Install Oracle Internet Application Server Release 1.0.1 for
       Windows NT from your product CD. This version has mod_perl 1.22
       built in. However, this install does not include the following
       modules:
       
       Apache::DBI Perl DBI Perl DBD-Oracle
    3. Verify that your perl path is set correctly:
       
         a. Click Start->Settings->Control Panel.
            
         a. In the Control Panel, double-click System.
            
         b. In the System dialog box, click the Environment tab.
            
         c. On the Environment page, scroll down the System Variables
            list and select Path.
            
         d. In the Value field at the bottom of the page, add the Apache
            Perl path to the system path. For example, add the following
            to the beginning of system path:
            

%ORACLE_HOME%\Apache\Perl\5.00503\bin\MSWin32-x86

         e. f.Click Set and OK to close the System dialog box.
            
    4. Build, test, and install DBI version 1.14:
       
         a. Download DBI-1_14_tar.gz into %ORACLE_HOME%\Apache (for
            example, into a directory named DBI-1.14), and unpack it.
            
         a. Go to the DBI-1.14 directory and run 'perl Makefile.PL'.
            
         b. Follow the README instructions carefully.
            
         c. Run 'nmake'.
            
         d. Run 'nmake test' and verify the test results.
            
         e. Run 'nmake install'.
            
    5. Build, test, and install DBD-Oracle version 1.06. The DBD-Oracle
       module expects enough Oracle software to be available to build the
       driver successfully:
       
         a. Download DBD-Oracle-1_06_tar.gz and unpack it into a
            directory (for example DBD-Oracle1.06).
            
         a. Go to the DBD-Oracle1.06 directory and modify Makefile.PL to
            reflect the correct OCIDIR. In particular, set $OCIDIR =
            "oci"; if it was not set originally.
            
         b. Set the ORACLE_HOME environment variable to point to a valid
            Oracle Internet Application Server Enterprise Edition install
            or an Oracle 8.1.7 database install.
            
         c. Set the ORACLE_SID environment variable to point to a valid
            Oracle SID.
            
         d. Follow the README instructions carefully.
            
         e. Run 'perl Makefile.PL'.
            
         f. Run 'nmake', 'nmake test', and 'nmake install'.
            
    6. Build, test, and install Apache::DBI version 0.87:
       
         a. Download ApacheDBI-0_87_tar.tar into %ORACLE_HOME%\Apache
            (for example, into a directory named ApacheDBI-0.87), and
            unpack it.
            
         a. Follow the README instructions carefully.
            
         b. Run 'perl Makefile.PL'.
            
         c. Run 'nmake', 'nmake test', and 'nmake install'.
            
    7. Add the following line to your httpd.conf file:
       

PerlRequire <absolute path of Apache::DBI's startup.pl script>

    8. Modify the startup.pl connect call to:
       

Apache::DBI->connect_on_init('dbi:Oracle:', "scott/tiger", '');

    9. Restart your Oracle HTTP Server:
       
         a. From the Start menu, choose Settings->Control Panel. In the
            Control Panel dialog box, double-click Services.
            
         a. In the Services dialog box, click
            Oracle<ORACLE_HOME>HTTPServer.
            
         b. Click Stop, then click Start.
            
   10. Test with a sample Perl script from a browser, shown below:
       

 ####### Perl script start ########
#!perl
use DBI;
print "Content-type: text/plain\n\n";
$dbh = DBI->connect("dbi:Oracle:", "scott/tiger", "") ||
die $DBI::errstr;
$stmt = $dbh->prepare("select * from emp order by empno") ||
die $DBI::errstr;
$rc = $stmt->execute() || die $DBI::errstr;
while (($empno, $name) = $stmt->fetchrow()) { print "$empno $name\n"; }
warn $DBI::errstr if $DBI::err;
die "fetch error: " . $DBI::errstr if $DBI::err;
$stmt->finish() || die "can't close cursor";
$dbh->disconnect() || die "can't log off Oracle"
 ####### Perl script End ########

   To build, install, and test mod_Perl DBI/DBD-Oracle and Apache::DBI
   for Windows NT, follow these steps:
    1. Verify that the following software is available in your
       environment:
       
       Windows NT 4.0 SP3
       Visual Studio version 5.0
    2. Install Oracle Internet Application Server Release 1.0.1 for
       Windows NT from your product CD. This version has mod_perl 1.22
       built in. However, this install does not include the following
       modules:
       
       Apache::DBI
       Perl DBI
       Perl DBD-Oracle
    3. Verify that your perl path is set correctly:
       
         a. Click Start->Settings->Control Panel.
            
         a. In the Control Panel, double-click System.
            
         b. In the System dialog box, click the Environment tab.
            
         c. On the Environment page, scroll down the System Variables
            list and select Path.
            
         d. In the Value field at the bottom of the page, add the Apache
            Perl path to the system path. For example, add the following
            to the beginning of system path:
            

    %ORACLE_HOME%\Apache\Perl\5.00503\bin\MSWin32-x86


         e. Click Set and OK to close the System dialog box.
            
    4. Modify config.pm in the directory
       %ORACLE_HOME%\Apache\Perl\5.00503\lib\MSWin32-x86 to pick up the
       correct version of Perl:
       
         a. Replace
            

- "c:\perl\"

            with

"%ORACLE_HOME%\Apache\Perl\"

       everywhere applicable. This includes entries such as prefix,
       prefixexp, etc.
         a. Replace
            

libpth="\lib"

            with

libpth="%ORACLE_HOME%\Apache\Perl\5.00503\lib
        %ORACLE_HOME%\Apache\Perl\site\5.00503\lib ..."

    5. Build, test, and install DBI version 1.13:
       
         a. Download DBI-1_13_tar.gz into %ORACLE_HOME%\Apache (for
            example, into a directory named DBI-1.13), and unpack it.
            
         a. Go to the DBI-1.13 directory and run 'perl Makefile.PL'.
            
         b. Follow the README instructions carefully.
            
         c. Run 'nmake'.
            
         d. Run 'nmake test' and verify the test results.
            
         e. Run 'nmake install' and make sure that DBI is installed in
            the %ORACLE_HOME%\Apache\Perl\ directory.
            
    6. Build, test, and install DBD-Oracle version 1.03. The DBD-Oracle
       module expects enough Oracle software to be available to build the
       driver successfully:
       
         a. Download DBD-Oracle-1_03_tar.gz into %ORACLE_HOME%\Apache
            (for example, into a directory named DBD-Oracle1.03), and
            unpack it.
            
         a. Go to the DBD-Oracle1.03 directory and modify Makefile.PL to
            reflect the correct OCIDIR. In particular, set $OCIDIR =
            "oci"; if it was not set originally.
            
         b. Set the ORACLE_HOME environment variable to point to a valid
            Oracle Internet Application Server Enterprise Edition install
            or an Oracle 8.1.7 database install.
            
         c. Set the ORACLE_SID environment variable to point to a valid
            Oracle SID.
            
         d. Follow the README instructions carefully.
            
         e. Run 'perl Makefile.PL'.
            
         f. Run 'nmake', 'nmake test', and 'nmake install'.
            
    7. Build, test, and install Apache::DBI version 0.87:
       
         a. Download ApacheDBI-0_87_tar.tar into %ORACLE_HOME%\Apache
            (for example, into a directory named ApacheDBI-0.87), and
            unpack it.
            
         a. Follow the README instructions carefully.
            
         b. Run 'perl Makefile.PL'.
            
         c. Run 'nmake', 'nmake test', and 'nmake install'.
            
    8. Add the following line to your httpd.conf file:
       

PerlRequire <absolute path of Apache::DBI's startup.pl script>

    9. Modify the startup.pl connect call to:
       

Apache::DBI->connect_on_init('dbi:Oracle:', "scott/tiger", '');

   10. Restart your Oracle HTTP Server:
       
         a. From the Start menu, choose Settings->Control Panel. In the
            Control Panel dialog box, double-click Services.
            
         a. In the Services dialog box, click
            Oracle<ORACLE_HOME>HTTPServer.
            
         b. Click Stop, then click Start.
            
   11. Test with a sample Perl script from a browser, shown below:
       

####### Perl script start ########

#!perl
use DBI;
print "Content-type: text/plain\n\n";

$dbh = DBI->connect("dbi:Oracle:", "scott/tiger", "") ||

die $DBI::errstr;

$stmt = $dbh->prepare("select * from emp order by empno") ||

die $DBI::errstr;
$rc = $stmt->execute() || die $DBI::errstr;
while (($empno, $name) = $stmt->fetchrow()) { print "$empno $name\n"; }
warn $DBI::errstr if $DBI::err;
die "fetch error: " . $DBI::errstr if $DBI::err;
$stmt->finish() || die "can't close cursor";
$dbh->disconnect() || die "can't log off Oracle"

####### Perl script End ########

1.8.11 3. mod_plsql Requirement

   To use the mod_plsql module against a given back-end database, you
   need to manually install the Oracle PL/SQL Web ToolKit (OWA PL/SQL
   packages) on the back-end database. The OWA PL/SQL packages should be
   installed into the SYS database schema; make sure that you have only
   one installation of the OWA PL/SQL packages. Note that existing Oracle
   Application Server (OAS) customers upgrading to the Oracle9i
   Application Server have an older version of these packages that must
   be replaced.
   
   For more information, see Using the PL/SQL Gateway in the Oracle9i
   Application Server Documentation Library. Or, you can access the
   online documentation available at
   http://hostname.domain:port/pls/admin_/title.htm.
   
1.8.12 Problems with mod_plsql Under Moderate Load

   On NT, mod_plsql crashes under moderate load. This issue is explained
   in bug#1432961 and requires backports for bug#1179779 and bug#1405498
   on the Oracle Client and Server side. These fixes should be applied to
   the 8.1.7 Oracle Client libraries in your Oracle home and the
   corresponding server side fix should be applied to the Oracle Database
   Server. Internal testing could not reproduce the issue on Solaris,
   although the bug does exist on all platforms. If you have these
   problems on your system, please apply the required patches (8.1.7.1.1
   for the Oracle Client and Server side, and 8.1.6.3.2 for the Oracle
   Server side. ) to your platform as well. These patches are complete
   SQL*Net patches, and information on applying them is released with
   them. They contain fixes other than that described here.
   
1.8.13 iCache Environment Variable Setting

   A problem with the ORA_OCI_CACHE system environment variable causes
   mod_plsql to suspend or stop under moderate load. Ensure that this
   variable is not set when the Oracle HTTP Server is started.
   
1.8.14 Restoring Oracle Application Server OWA Packages

   When you install the new mod_plsql OWA packages, it places them in the
   SYS database schema. This can create problems with Oracle Application
   Server applications using the PL/SQL cartridge. If you experience
   these problems and want to continue to use your Oracle Application
   Server PL/SQL cartridge applications, you must recreate the synonyms
   that reference the Oracle Application Server OWA packages.
   
   To create these synonyms on the origin database machine:
    1. Connect to the origin database as the SYS user in SQL*Plus.
       
    2. Run the following commands in SQL*Plus. This drops all of the OWA
       public synonyms created during the Oracle9i Application Server
       installation process.
       

drop public synonym OWA_CUSTOM;
drop public synonym OWA_GLOBAL;
drop public synonym OWA;
drop public synonym HTF;
drop public synonym HTP;
drop public synonym OWA_COOKIE;
drop public synonym OWA_IMAGE;
drop public synonym OWA_OPT_LOCK;
drop public synonym OWA_PATTERN;
drop public synonym OWA_SEC;
drop public synonym OWA_TEXT;
drop public synonym OWA_UTIL;
drop public synonym OWA_INIT;
drop public synonym OWA_CACHE;
drop public synonym WPG_DOCLOAD;

    3. Connect to the "oas_public" OWA package installation schema.
       
    4. Ensure that the user schema has "CREATE PUBLIC SYNONYM"
       privileges. If it does not, then grant these privileges to the
       user schema before continuing with the next step.
       
    5. Run the following commands in SQL*Plus. This recreates the OWA
       public synonyms so that they reference the Oracle Application
       Server OWA packages.
       

create public synonym OWA_CUSTOM for OWA_CUSTOM;
create public synonym OWA_GLOBAL for OWA_CUSTOM;
create public synonym OWA for OWA;
create public synonym HTF for HTF;
create public synonym HTP for HTP;
create public synonym OWA_COOKIE for OWA_COOKIE;
create public synonym OWA_IMAGE for OWA_IMAGE;
create public synonym OWA_OPT_LOCK for OWA_OPT_LOCK;
create public synonym OWA_PATTERN for OWA_PATTERN;
create public synonym OWA_SEC for OWA_SEC;
create public synonym OWA_TEXT for OWA_TEXT;
create public synonym OWA_UTIL for OWA_UTIL;
create public synonym OWA_INIT for OWA_CUSTOM;
create public synonym OWA_CACHE for OWA_CACHE;
create public synonym WPG_DOCLOAD for WPG_DOCLOAD;

1.8.15 mod_plsql Caching Error

   If mod_plsql caching is not working properly, remove the final slash
   from the two cache_dir entries in
   %ORACLE_HOME%\Apache\modplsql\cfg\cache.cfg.
   
1.8.16 mod_rewrite Security Vulnerability

   A security vulnerability is present in mod_rewrite that allows certain
   rules to offer access to any file on the Web server. To avoid these
   problems, rewrite rules should always map to a full URL rather than
   mapping directly to a file.
   
   For example, if you have a Web server where DocumentRoot is set to
   /webroot, do not use:

RewriteRule /foobar/(.*)  /webroot/myfiles/$1

   which directly maps the request to a filesystem location. Rather, use
   a rule such as:

RewriteRule /foobar/(.*) http://myserver.mydomain.com/myfiles/$1

   which restricts access to files that are accessible by the Apache
   instance (that is, files under the DirectoryRoot directory tree).
   
1.8.17 Oracle Demo Certificates Replacement

   Oracle Demo certificates (that is, dummy certificates) are included
   with the Apache build so that the server may be tested in a
   non-production mode. Before going to production mode, you MUST replace
   the Oracle Demo certificate with a real certificate.
   
1.8.18 Oracle9iAS Database Cache Installation Errors

   If the listener for the origin database is not properly configured,
   you may get the following errors when attempting to install Oracle9iAS
   Database Cache:

Adding users to the cache failed.
Reason: WTE-03501 Error updating list of users: Export failed on origin databas
e
OCI error - ORA-28575: unable to open RPC connection to external procedure agen
t

   Refer to the Oracle9i Application Server Installation Guide for
   detailed instructions to configure the listener for the origin
   database.
   
1.8.19 Oracle9iAS Database Cache Configuration

   When you install Oracle9i Application Server Enterprise Edition, you
   can choose whether to configure Oracle9iAS Database Cache during the
   installation or at a later time. If you choose to configure Oracle9iAS
   Database Cache during the installation, the installation procedure
   uses default values for the following Oracle9iAS Database Cache
   attributes:
     * The Oracle9iAS Database Cache host (by default, the host name
       qualified by the domain name).
       
     * The Oracle9iAS Database Cache name (by default
       <cache_nodename-cache>).
       
     * The port number for the listener for Oracle9iAS Database Cache (by
       default, 51719).
       
     * The memory allocated to Oracle9iAS Database Cache (by default, 25
       MB).
       
     * The disk space allocated to Oracle9iAS Database Cache (by default,
       32 MB).
       
     * The location of the file that holds the disk space (by default,
       %ORACLE_HOME%\dbs).
       
   If you want to specify values other than the default values, you can
   choose not to configure Oracle9iAS Database Cache during the
   installation. Then, after the installation completes successfully,
   invoke the Oracle9iAS Database Cache Configuration Assistant using the
   following command:

prompt> %ORACLE_HOME%\bin\wtacca -create -custom

   For more details, refer to the Configuration Assistant online help.
   
1.8.20 Using Oracle9iAS Database Cache with Servlets

   To access data cached in the middle tier using servlets, you must
   enable Oracle9iAS Database Cache by setting the ORA_OCI_ICACHE
   environment variable in the servlet environment. Add the following
   line to the jserv.properties file in the
   %ORACLE_HOME%\Apache\Jserv\etc directory:

wrapper.env=ORA_OCI_ICACHE=1

   In addition, the TNS_ADMIN environment variable must be set to the
   location of the local network configuration. By default, the value is
   %ORACLE_HOME%\network\admin. Add the following additional line to
   jserv.properties:

wrapper.env=TNS_ADMIN=<absolute path to ORACLE_HOME>\network\admin

1.8.21 loadjava Limitation in Oracle9iAS Database Cache Environment

   Because of known issues with LOB support in the Oracle9iAS Database
   Cache environment (when ORA_OCI_CACHE is set to 1), the loadjava
   utility will not work.
   
1.8.22 Changes to tnsnames.ora and init.ora Requirement

   To use the Oracle9iAS Database Cache PL/SQL API, you must connect
   using a Net8 net service name that is constructed using the service
   name, not the SID. As a result, the tnsnames.ora and init.ora file
   shipped with this release of Oracle9i Application Server need to be
   changed. See the Oracle9iAS Database Cache README file for information
   about the necessary changes.
   
1.8.23 Fully Qualified Domain Requirement in tnsnames.ora

   If sqlnet.ora has default_domain defined, for example:

NAMES.DEFAULT_DOMAIN = us.oracle.com

   then your Oracle9iAS Portal DAD connect string needs a domain.
   
   For example:
   
   from %ORACLE_HOME%\Apache\modplsql\cfg\wdbsvr.app:

connect_string = portal30.world

   where portal30.world is a defined alias in the tnsnames.ora file. If
   the connect string does not have a domain extension such as:

connect_string = portal30

   then your tnsnames.ora file must have the DEFAULT_DOMAIN extension in
   the alias as: portal30.us.oracle.com.
   
1.8.24 Oracle Business Components for Java Demo Failure

   You may receive the following error when attempting to run the Oracle
   Business Components for Java demo in Oracle9i Application Server
   Standard Edition:

[error] [client 206.223.27.37] Premature end of script headers: (null)

   To run the demo successfully, perform the following steps:
    1. Open the file
       %ORACLE_HOME%\Apache\Apache\htdocs\OnlineOrders_html\submit_login.
       jsp
       
    2. Move the following two lines:
       

session.putValue("CSSURL","\webapp\cabo\images\cabo_styles.css");
session.putValue("ImageBase", "\webapp\jsimages");

       to after the closing brace following this line:

pool.setUserData(info);
}

1.8.25 Oracle9iAS Portal Configuration Assistant Failure with Standard
Edition Default Large Pool Size

   During Oracle9i Application Server Standard Edition install, if you
   choose to install the Oracle9iAS Portal database objects into the
   newly created 8.1.7 Standard Edition database, the install fails
   because the default large_pool_size is not big enough. The workaround
   is to increase this size before running the Oracle9iAS Portal
   Configuration Assistant, as follows:
    1. Shut down the database.
       
    2. Double the size of the large_pool_size parameter in the init.ora
       file.
       
    3. Restart the database.
       
    4. Run the Oracle9iAS Portal Configuration Assistant.
       
   If you do not perform these steps during an install, you can fix the
   problem as follows:
    1. Drop the old Oracle9iAS Portal user.
       
    2. Shut down the database.
       
    3. Double the size of the large_pool_size parameter in the init.ora
       file.
       
    4. Restart the database.
       
    5. Run the Oracle9iAS Portal Configuration assistant from the
       ORACLE_HOME located at %ORACLE_HOME%\assistants\opca\launch.sh.
       
     _________________________________________________________________
                                      
   Note:
   
   This problem does not occur if you install to a remote 8.1.6 database
   and has only been observed in a Standard Edition install.
     _________________________________________________________________
                                      
1.8.26 Oracle9iAS Portal Report Output Requirement

   To schedule a report page in Oracle9iAS Portal, you must specify the
   output folder name and the status folder name in the Schedule Report
   Page dialog box. If you do not specify these names, the report output
   will not display in the content area for which the report component is
   defined.
   
1.8.27 Oracle Forms, Reports and Discoverer Patch Installation

   When installing a patch, use <IAS_HOME>\6iserver as your ORACLE_HOME
   for Forms, Reports and Discoverer products, where <IAS_HOME> is the
   ORACLE_HOME used for Oracle9i Application Server.
   
1.8.28 Oracle9iAS Reports Service Security Framework

   Oracle9iAS Reports Service has integrated with Oracle9iAS Portal to
   provide an enterprise security and deployment framework. For more
   information on this integration, refer to Publishing Reports to the
   Web with Oracle Internet Application Server in the Oracle9i
   Application Server Documentation Library.
   
1.8.29 Oracle9iAS Reports Service Error

   If you have set the TNS_ADMIN environment variable or registry key to
   an alternate value, Oracle9iAS Reports Service may fail to start with
   an error 186 or REP-0186. In such a case, you can start Oracle9iAS
   Reports Service from an MS-DOS command prompt as follows:

prompt> set tns_admin=<IAS_HOME>\6iserver\net80\admin
prompt> rwmts60 -listen name=Rep60_<HOSTNAME>

   replacing <IAS_HOME> with the directory where you installed Oracle9i
   Application Server and <HOSTNAME> with your system name. This will
   force Oracle9iAS Reports Service to use the Net8 tnsnames.ora file at
   <IAS_HOME>\6iserver\net80\admin\tnsnames.ora.
    1. 
       
1.8.30 Oracle9iAS Forms Services non-SSL Listener Requirement

   Oracle9iAS Forms Services requires that Apache be listening on at
   least one port in non-SSL mode, because Oracle JInitiator cannot
   download the Forms Applet via SSL.
   
1.8.31 Oracle 9iAS Forms/Enterprise Manager Limitations

   A patch will be available on March 26, 2001 on ARU and Metalink to
   resolve the following problems:
   
   Bug 1286040, version 2.1 - NLS: Multibyte characters in Forms Listener
   Process Log are corrupted
   
   Bug 1544477, version 6.08.11.3 - Event de-registering causes Error
   VD-1525
   
   Bug 1549369, version 2.2.0 - Cannot de-register Forms Listener Up/Down
   Event
   
   Bug 1554211, version 2.2 - Forms event fails with database version
   8.1.7
   
   Bug 1562864, version 2.1 - Oracle Agent cannot discover Forms servers
   in multiple Oracle homes on the same server
   
   Bug 1562887, version 2.1.0.1.0 - Multiple SIDs will not start the
   Forms listener from Oracle Enterprise Manager
   
   Bug 1383239, version 6.0.8.8 - OEM startup job returns "completed"
   status if it fails
   
   Bug 1479367, version 8.1.7 - nmiforms.tcl is looking for an
   ORACLE_HOME environment variable in the wrong way
   
1.8.32 JInitiator 1.1.7.31 HTTPS Limitations

   This release of Oracle9i Application Server ships with JInitiator
   1.1.7.31. This JInitiator release does not work using HTTPS
   communication for Oracle9iAS Forms Services because of a missing DLL.
   To enable HTTPS communication with Oracle9iAS Forms Services, download
   the latest JInitiator from the Oracle Technology Network (OTN) at:

http://technet.oracle.com/products/forms

   Click the Software tab and select the latest JInitiator posted,
   Release 1.1.7.32 or later.
   
     _________________________________________________________________
                                      
   Note:
   
   This release of Oracle9iAS Forms Services (6.0.8.11) has not been
   tested with releases of JInitiator earlier than 1.1.7.31.
     _________________________________________________________________
                                      
1.8.33 Internet Explorer 5.0 Native JVM Limitations

   Oracle9iAS Forms Services provides a signed CAB file to enable bronze
   support for Internet Explorer 5.0 running the native JVM (Java Virtual
   Machine). This support requires that the HTTP/HTTPS Forms Server and
   Web listener run on the same machine.
   
   The following are current limitations when running with Internet
   Explorer 5.0 and the native JVM:
    1. In HTTP or HTTPS mode, Forms Server and Web listener need to run
       on the same machine.
       
    2. In HTTPS mode, Oracle9iAS Forms Services cannot communicate
       through a firewall.
       
    3. In HTTPS mode. Oracle9iAS Forms Services applet must be downloaded
       in HTTPS mode.
       
    4. In HTTPS mode, the heartbeat applet parameter must be set to a low
       value to maintain communication with the server. The value 0.3
       (minutes) has been tested and verified.
       
   For the latest information about the current level of client support
   and HTTPS restrictions, refer to the Client Platform Statement of
   Direction document at:

http://technet.oracle.com/products/forms

1.8.34 openssl Command -config Option Requirement

   When using the openssl command to create a certificate request, the
   command must include the -config option to specify the location of the
   configuration file openssl.cnf (which by default is in
   %ORACLE_HOME%\Apache\open_ssl\bin. Otherwise, the command will fail.
   
   For example:

prompt> openssl req -config %ORACLE_HOME%\Apache\open_ssl\bin -new -x509 -days
365 -key ca.key -out ca.crt

   Note: On Windows NT, the OPENSSL_CONF environmental variable can not
   be used to specify the location of the configuration file.
   
1.8.35 No Support for CA Facilities of OpenSSL

   The Certifying Authorities (CA) facilities of OpenSSL are not
   supported and should not be used. Oracle9i Application Server has
   moved to the Certicom SSL stack, which does not include the CA
   features of SSL. You should use the openssl command only for
   generating certificate requests. Other functionality such as examining
   certificates, signing certificates, and so on, are not supported by
   Oracle.
   
1.8.36 mod_ssl Limitations

   In this release, the symmetric encryption algorithms RC2, RC5, IDEA
   are not supported.
   
1.8.37 Passphrase-protected Private Key Causes Apache Hang on Startup

   When a certificate with a passphrase-protected private key is used,
   Apache hangs during startup. Workarounds to this problem include:
     * Strip the passphrase from the private key, using the command:
       

openssl rsa -in <protected private key> -out <unprotected private key>


     _________________________________________________________________
                                      
   WARNING:
   
   The private key to your certificate is now vulnerable to anyone who
   has access to the NT file system. You are responsible for ensuring the
   physical security of the filesystem, as well as possible security
   penetrations from external access through the web server. 
     _________________________________________________________________
                                      



     * Use an external program or script to supply the passphrase, using
       the following directive in the httpd.conf file:
       

SSLPassPhraseDialog <your script or program>


     _________________________________________________________________
                                      
   WARNING:
   
   Although the private key is encrypted, it is possible that the private
   key can be compromised by anyone who can access the NT file system.
   Even if your script obfuscates the passphrase, an attacker can easily
   determine what script to use by examining the Apache configuration
   file. You are responsible for ensuring the physical security of the NT
   filesystem, as well as possible security penetrations from external
   access through the web server.
     _________________________________________________________________
                                      



     * Start Apache from the command line (not as a service) and enter
       the passphrase twice.
       
     _________________________________________________________________
                                      
   Note:
   
   Although secure, the timing of entering the passphrase twice is
   sometimes problematic, since there is no prompt for the second
   passphrase entry. In addition, if the child process servicing HTTP
   requests terminates for any reason, the parent process will not be
   able to automatically supply the passphrase to restart the child.
     _________________________________________________________________
                                      
1.8.38 Apache Configuration Error Upon Installation

   When installing Oracle9i Application Server Enterprise Edition, and
   you have installed Apache previously in the same ORACLE_HOME, Apache
   configuration fails with the following error:

Syntax Error on line 14 of
<ORACLE_HOME>/Apache/Apache/conf/mod__ose.conf
Aurora Service - directive already effect for this server
<ORACLE_HOME>/Apache/Apache/bin/httpdsctl start: httpd could not be
started

   To work around this error:
    1. Remove the double entry of mod__ose.conf in the file
       %ORACLE_HOME%\Apache\Apache\conf\oracle_apache.conf.
       
    2. Restart your Oracle HTTP Server:
       
         a. From the Start menu, choose Settings->Control Panel. In the
            Control Panel dialog box, double-click Services.
            
         a. In the Services dialog box, click
            Oracle<ORACLE_HOME>HTTPServer.
            
         b. Click Stop, then click Start.
            
1.8.39 Errors Starting Apache with "APCHECTL -START" When Using Virtual
Hosts

   If the port number directive and the NameVirtualHost directive ports
   do not match, this error will occur. To resolve this issue, make sure
   that both the port and NameVirtualHost are set to the same port. This
   can also be resolved by not specifing a port# in the NameVirtualHost
   directive.
   
   Note that this problem will only occur when starting without SSL.
   
1.8.40 Oracle9iAS Web Cache Assumes Incorrect Listener Port

   The default configuration of Oracle9iAS Web Cache assumes that the
   primary Web listener is listening on port 7777. Oracle HTTP Server
   listens on port 80 by default.
   
   Oracle9iAS Web Cache will return an error when trying to access its
   own port of 1100 because it is unable to connect to port 7777 of the
   Web server.
   
   To correct this problem, change the port number in the "Application
   Web Servers" screen of the Web Cache Manager to port 80.
   
1.8.41 Increasing Memory for Apache JServ Applications

   If the Apache JServ log or the browser report an "Out Of Memory"
   condition, the cause is most likely to be that the JVM ran out of
   memory. This normally happens when data handled by the JVM exceeds its
   memory allocation pool.
   
   To increase the maximum size of the memory allocation pool for a JVM,
   use the following steps:
    1. Add this line to
       %ORACLE_HOME%\Apache\Jserv\conf\jserv.properties:
       

wrapper.bin.parameters=-mx<size>m

       where <size> is the size, in megabytes, of the memory allocation
       pool. The default value is 1 megabyte of memory. Oracle recommends
       that you use a size of 128 megabytes. To set the value to 128
       megabytes, add the following line:

wrapper.bin.parameters=-mx128m

    2. Restart the Web server after this change so that it can take
       effect.
       
1.8.42 National Language Support (NLS) Considerations

mod_plsql

   When configuring mod_plsql, the NLS_LANG environment variable is
   configured on a per Web server instance level and not at the DAD
   level.
   
   Ensure that you have the correct NLS_LANG setting before starting your
   Oracle9i Application Server instance.
   
Oracle PSP

   For Oracle PSP, the NLS_LANG environment variable must be set before
   loading PL/SQL Server Pages (PSPs) into the database using the loadpsp
   command.
   
Using the JDBC OCI8 driver with JServ and OracleJSP

   If connecting to Oracle via the JDBC OCI8 driver, the appropriate
   NLS_LANG setting is required in jserv.properties. For example:

wrapper.env=NLS_LANG=AMERICAN_AMERICA.UTF8

   For information on the NLS_LANG environment variable, refer to the
   Oracle8i National Language Support Guide.
   
1.8.43 NLS Parameters in the initicache.ora File

   The Oracle9iAS Database Cache installation creates a cache using the
   same database character set as the origin database. However, it does
   not set other National Language Support (NLS) features, such as date
   format or currency symbols.
   
   If the initialization file (initSID.ora) of your origin database
   specifies NLS parameters, you must copy those parameters to the
   initialization file (initicache.ora) of the cache (NLS parameters
   begin with "NLS_").
   
   For example, if the initialization file of your origin database
   contains the following parameters, copy them to initicache.ora:

NLS_LANGUAGE = JAPANESE
NLS_CALENDAR = "Japanese Imperial"
NLS_DATE_FORMAT = "E YY-MM-DD"

   The initicache.ora file is located in the
   %ORACLE_HOME%\admin\icache\pfile directory.
   
1.8.44 NLS Limitations

   The following are known NLS bugs in this release:
     * Some of the user interface and messages for the Simplified Chinese
       version of Developer 6i Release 2 will appear in English. There is
       no workaround.
       
     * In the Reports Availability Calendar feature of Reports Server
       Security using translated versions of Oracle9iAS Portal 3.0, some
       of the calendar headings are truncated. You may choose to use the
       English-language interface instead.
       
     * In the Japanese version of Developer 6i Release 2, the online
       manual Deploying Applications will be the same as the manual used
       for the 6i initial release, instead of the manual for 6i Release
       2. If you require the 6i Release 2 version of the manual and it is
       not part of your printed manual set, please contact your Oracle
       Support representative.
       
     * In the Traditional Chinese version of Developer 6i Release 2
       Report Builder, the menu item "File->Generate to file->Delimited",
       the word "Delimited" should be translated but appears garbled.
       There is no known workaround.
       
1.8.45 NLS Translations in Oracle Forms and Oracle Reports

   Beginning in this release, you can install all available Oracle Forms
   and Oracle Reports language translations at one time. However, some
   features of Oracle Forms and Oracle Reports do not allow this. For
   these features, only one language can be installed at a time. The
   features are:
     * Oracle Terminal Help (Japanese translation only).
       
     * Documentation Table of Contents and Index (Japanese Translation
       only).
       
     * Reports/Express Integration (available in German, Iberian Spanish,
       Latin American Spanish, French, Italian, Japanese, Brazilian, and
       Russian).
       
     * OLAP Connection Editor (Japanese translation only).
       
   For these features, the correct translated files will be copied to
   your machine during installation. You will then have to manually
   rename them to enable the translation of choice. Please note that you
   only need to follow these instructions if you install all the
   translations at once.
   
   Important Note: Before you begin, be sure to make a backup copy of the
   existing file before overwriting a file.
   
   Oracle Terminal Help
   
   To enable the Japanese translation:
    1. Change to the directory %ORACLE_HOME%\tools\common60.
       
    2. Make a backup copy of the file ot.hlp.
       
    3. Copy the file otja.hlp to ot.hlp.
       
   The help system for Oracle Terminal will now appear in Japanese.
   
   Documentation Table of Contents and Index
   
   These steps may or may not be required. To check, click the Help menu
   in Form Builder or Report Builder. If the interface appears in
   English, and you wish to use Japanese, perform the following steps:
    1. Change to the directory %ORAINFONAV_DOCPATH% which is usually
       %ORACLE_HOME%\OIN.
       
    2. Make a backup copy of the files 1aod60.toc, 1aod60.idx,
       1aor60.toc, and 1aor60.idx, if they exist.
       
    3. To change the help system for Oracle Forms, copy 1aod60ja.toc to
       1aod60.toc, and 1aod60ja.idx to 1aod60.idx.
       
    4. To change the help system for Oracle Reports, copy 1aor60ja.toc to
       1aor60.toc and 1aor60ja.idx to 1aor60.idx.
       
   The help system top level will now appear in Japanese.
   
   Reports/Express Integration 
   
   To change the Reports/Express Integration interface to your desired
   language:
    1. Change to the directory %ORACLE_HOME%\bin.
       
    2. Make a backup copy of the files xru60.dll and xpeh.dll.
       
    3. Note which language you wish to install.
       
    4. Copy the file xru60<lang>.dll to xru60.dll. The values of <lang>
       are listed below.
       
    5. Copy the file xpeh<lang>.dll to xpeh.dll. The values of <lang> are
       listed below.
       
   The Reports/Express integration interface will now appear in the
   language you chose:
   
   For the language ...   Replace <lang> with ...
   
   Brazilian		  ptb
   
   French                 f
   
   German                 d
   
   Iberian Spanish        e
   
   Italian                i
   
   Japanese               ja
   
   Latin American Spanish esa
   
   Russian                ru
   
   For example, to use Japanese, you would copy xru60ja.dll to xru60.dll,
   then copy xpehja.dll to xpeh.dll.
   
   OLAP Connection Editor
   
   To change the OLAP Connection Editor program's user interface to
   Japanese, perform the following steps:
    1. Change to the directory %GSINSTALLDIR% (usually
       %ORACLE_HOME%\olap\ece620.
       
    2. Make backup copies of the files xconedit.exe, xconedit.hlp, and
       xconedit.cnt.
       
    3. Copy xconeditja.exe to xconedit.exe, xconeditja.hlp to
       xconedit.hlp, and xconeditja.cnt to xconedit.cnt.
       
   The user interface for the XRQ connection editor will now be in
   Japanese.
   
1.8.46 Standard Edition Character Set

   The starter database provided as part of the Oracle9i Application
   Server Standard Edition (SE) installation uses the US7ASCII character
   set. To change the database character set after installation, connect
   to the database using sqlplus and issue the statement:

SQL> alter database character set <character set>

   For more information, see the Oracle8i National Language Support
   Guide.
   
1.8.47 Oracle9iAS Portal Configuration Assistant Language Limitation

   In this release, Oracle9iAS Portal Configuration Assistant is
   certified for use in English only.
   
1.8.48 Oracle9iAS Wireless: Silent Installation Not Supported

   Silent installation for Oracle9iAS Wireless is not supported; it
   requires entry of information specific to Wireless and manual editing
   of configuration files.
   
1.8.49 Oracle9iAS Wireless: JDBC Driver

   This release of Wireless Edition only supports the classes12.zip JDBC
   driver. classes11.zip is no longer supported.
   
1.8.50 Oracle9iAS Wireless: Supported Devices and Gateways

   For a list of certified devices and gateways supported by Wireless
   Edition, see the OTN web site at:

http://otn.oracle.com/products/iaswe

1.8.51 Oracle9iAS Wireless: Third Party Location Service Providers

   To obtain third party files for using location services in Wireless
   Edition, see the OTN web site at:

http://otn.oracle.com/products/iaswe

1.8.52 Oracle9iAS Wireless: Database Connections

   The default database created by the Oracle8i installation may not be
   tuned properly for your installation. The "ORA-00020: maximum number
   of processes exceeded errors" message may appear. To prevent this,
   ensure that the max_processes database parameter is set high enough,
   and that the Oracle Net8 dead process detection is configured in your
   system. See the Oracle8i documentation for more detailed database
   configuration and performance information.
   
1.8.53 Oracle9iAS Wireless: Notifications

   When using Oracle9iAS Wireless Edition notifications (the AQ Daemon
   process), note that if a job terminates with an error, it is removed
   from the job queue. To continue to use the job, correct the error and
   reschedule the job.
   
1.8.54 Oracle9iAS Wireless: Bootstrap Repository Provisioning Service

   To use the Provisioning Service in the bootstrap repository, you must
   first set the input parameters of the master service to be User
   Customizable.
   
1.8.55 Oracle9iAS Wireless: SQL Adapter Master Services

   Numeric input parameter names are not allowed in the master service
   PL/SQL code.
   
   Also, JDBC connect strings that specify a user name and password are
   not allowed, for example:

jdbc:oracle:thin:user/password@hostname:port:sid

   The connect string information must be of the form:

jdbc:oracle:thin:@hostname:port:sid

   The user name and password must be specified in the User Name and
   Password fields in the Service Designer.
   
1.8.56 Oracle9iAS Wireless: Bookmarks in the Personalization Portal

   When creating a bookmark in the Personalization Portal, the http://
   prefix must be included in the URL, for example:

http://domain_name.com

1.8.57 Oracle9iAS Wireless: Service Designer Folder Contents Display

   This release of Oracle9iAS Wireless allows you to limit the number of
   objects displayed in the Service Designer navigational tree. To enable
   this feature, set the number of objects you want to display by editing
   the ptgsd.properties file.
   
1.8.58 Oracle9iAS Wireless: Multibyte Character Set Support for the Web
Integration Server

   To support multibyte character sets for the Web Integration Server in
   Oracle9iAS Wireless, apply the following configuration changes to the
   Web Integration server start up script. (The Java Virtual Machine
   (JVM) bundled with Web Integration Developer and Web Integration
   Server does not contain the i18n.jar or font.properties files and
   therefore does not support multibyte character sets.)
   
   On the application server:
    1. Replace the font.properties file of the JVM with
       font.properties.<locale>.
       
    2. The JVM path for the server is:
       

%ORACLE_HOME%\Apache\jdk\jre\lib

    3. Edit the server.bat file.
       
       The path for the server batch file is:

%ORACLE_HOME%\panama\WebIntegration\Server\bin\server.bat

         a. Comment out (REM) the following line:
            

SET SCMD="%JDKDIR%\bin\java" -ms64M -mx64M -classpath
%CLASSPATH%

         a. Add the following line:
            

-Dfile.encoding=<encoding>

            as a Java command line option, such as:

SET SCMD="%JDKDIR%\bin\java" -Dfile.encoding=<encoding>
-ms64M -mx64M -classpath %CLASSPATH%

            For example:

SET SCMD="%JDKDIR%\bin\java" -Dfile.encoding=SJIS -ms64M
-mx64M -classpath %CLASSPATH%

1.8.59 Oracle9iAS Wireless: Multibyte Character Set Support for the Web
Integration Developer

   To support multibyte character sets for the Web Integration Developer
   in Oracle9iAS Wireless, apply the following configuration changes to
   your client installations. (The Java Virtual Machine (JVM) bundled
   with Web Integration Developer and Web Integration Server does not
   contain the i18n.jar or font.properties files and therefore does not
   support multibyte character sets.)
   
   On the Oracle9iAS Wireless client:
    1. Download the internationalized (or localized) version of the Java
       Runtime Environment (JRE) from the JavaSoft Web site at:
       

http://java.sun.com/products/jdk/1.2/jre

    2. Install the Java Runtime Environment (JRE) from JavaSoft.
       
    3. Replace the font.properties file of the JVM with
       font.properties.<locale>. The JVM path for the client is:
       

%JREDIR%\lib

   For example:

SET JDKDIR=jre1.2\lib

     Extract the developer.zip file. The path for the file is:
   

%ORACLE_HOME%\panama\WebIntegration\Developer\lib\developer.zip

     Extract the file's content to:
   

%ORACLE_HOME%\panama\WebIntegration\Developer\lib\developer\

     Edit the developer.bat file. The path for the file is:
   

%ORACLE_HOME%\panama\WebIntegration\Developer\bin\developer.bat

    a. Comment out (REM) the following line:
       

SET JDKDIR=C:\OraHome1\panama\WebIntegration\Developer\jvm

    a. Point JDKDIR to the new JRE directory where JRE1.2 is installed,
       for example:
       

REM SET JDKDIR=C:\OraHome1\panama\WebIntegration\Developer\jvm
SET JDKDIR=jre1.2

    b. Comment out (REM) the following line:
       

SET CLASSPATH="%JDKDIR%\LIB\RT.JAR;%DEVDIR%\LIB\DEVELOPER.ZIP;
%DEVDIR%\packages\wmroot\code\classes"

    c. Change DEVELOPER.ZIP to DEVELOPER in the CLASSPATH. For example:
       

SET CLASSPATH="%JDKDIR%\LIB\RT.JAR;%DEVDIR%\LIB\DEVELOPER;
%DEVDIR%\packages\wmroot\code\classes"

    d. Comment out (REM) the following line:
       

"%JDKDIR%\bin\jre" -ms16M -mx32M -classpath %CLASSPATH%
watt.app.watt.Main -config "%DEVDIR%\config\developer.cnf"
-home "%DEVDIR%" %1 %2 %3 %4 %5 %6 %7 %8 %9

    e. Add the following line:
       

-Dfile.encoding=<encoding>

       Add the line as a Java command line option, such as:

"%JDKDIR%\bin\java" -Dfile.encoding=<encoding> -ms16M
-mx32M -classpath %CLASSPATH% watt.app.watt.Main -config
"%DEVDIR%\config\developer.cnf" -home "%DEVDIR%" %1 %2 %3 %4 %5 %6 %7 %8
%9

       For example:

"%JDKDIR%\bin\java" -Dfile.encoding=SJIS -ms16M -mx32M
-classpath %CLASSPATH% watt.app.watt.Main -config
"%DEVDIR%\config\developer.cnf" -home "%DEVDIR%"
%1 %2 %3 %4 %5 %6 %7 %8 %9

  1.8.60 Oracle9iAS Wireless Client: Transformer Testing Tool
  
   On Windows NT, with Service Pack 6, the following error may occur when
   running the Oracle9iAS Wireless Transformer Testing Tool:

java.net.SocketException: JVM_SetSockOpt() TCP_NODELAY (code=10055)

   To resolve this issue, apply Service Pack 6a available from the
   Microsoft web site. If you still experience this issue with Service
   Pack 6a installed, try reinstalling Service Pack 6a. If this still
   does not resolve the issue, add the current Windows NT user to the
   "Administrators" group.
   
  1.8.61 Oracle9iAS Wireless: Oracle Data Server Support
  
   Oracle9iAS Wireless only supports Oracle 8.1.6 and above.
   
  1.8.62 Oracle9iAS Wireless Web Integration Components and JDK
  
   Web Integration Server requires JDK 1.1. If you experience problems
   with this component, check the Java settings in the following startup
   file: %ORACLE_HOME%\panama\WebIntegration\Server\bin\server.bat. In
   some cases, Oracle 8.1.6 on Windows NT modifies a machine's Java
   environment. As a result, Oracle9iAS Wireless Web Integration
   Developer may generate error messages or fail to start. To fix the
   problem, either restore your original Java environment by reinstalling
   Java, or verify that the Web Integration Developer starts with the JVM
   from the 8.1.6 installation. To do this, modify the following file:

%ORACLE_HOME%\panama\WebIntegration\Developer\bin\developer.bat

   Change the line:

SET JDKDIR=%ORACLE_HOME%\panama\WebIntegration\Developer\jvm

   to:

SET JDKDIR=%ORACLE_HOME%\jre\1.1.7

  1.8.63 Network Adapter Connection Error Generated When Accessing Oracle
  Business Components for Java Sample Application
  
   After installing Oracle9i Application Server, you may encounter the
   following error when trying to access the online orders sample
   application for the first time:

Application Error
Return
Error Message: JBO-26061: Error while opening JDBC connection.
Error Message: Io exception: The Network Adapter could not establish the
connection.

   Restart the system to resolve this issue.
   
  1.8.64 Apache Listener Stops Responding After Prolonged Use of mod_plsql
  
   Intermittently, the Apache listener stops responding within two to
   three days after prolonged use of mod_plsql.
   
   To resolve this issue, restart the listener.
   
  1.8.65 "Communication Error or Internal ORB Error" When Starting Oracle9iAS
  Discoverer 3i Viewer
  
   After installing Oracle9i Application Server, you may receive the
   following error message when you start Oracle9iAS Discoverer Viewer:

"Communication error or Internal ORB error"

   To resolve this issue and start Oracle9iAS Discoverer 3i Viewer,
   perform these steps:
    1. Rename the vbjruntime.dll file in D:\Oracle\iSuites\bin to
       vruntime.dll.
       
    2. Copy the vbjruntime.dll file from D:\Oracle\806\VBROKER\BIN into
       D:\Oracle\iSuites\bin.
       
    3. Restart the Oracle9iAS Discoverer service.
       
  1.8.66 Oracle Database Cache Stops Responding When Caching a Table That
  Contains a Context Index
  
   Using dbms_icache.add_table to cache a table that contains a context
   index will cause Oracle Database Cache to stop responding, or "hang."
   This will also generate an ORA-600 error in the back-end database.
   Currently, there is no fix available to resolve this issue.
   
  1.8.67 Error Returned When Accessing Oracle Enterprise Manager Through a
  Browser
  
   When you try to access Oracle Enterprise Manager with a browser, an
   error is returned because your system cannot find the oem.conf file.
   The Oracle Enterprise Manager entry in the oracle_apache.conf file
   contains both backslashes and forward slashes. This is incorrect.
   
   Edit the entry as shown below to resolve this issue.
   
   The incorrect entry is

D:\Oracle\M6/oem_webstage/oem.conf

   The correct entry is

D:\Oracle\M6\oem_webstage\oem.conf

  1.8.68 Deploying Enterprise JavaBeans to Oracle9i Application Server
  
   The following files contain information on deploying Enterprise
   JavaBeans (EJBs) to Oracle9iAS Database Cache:
     * <cd-rom>:\doc\relnotes\ejbdply.pdf
       
     * <cd-rom>:\doc\relnotes\ejbdply.htm
       
   where <cd-rom> is the drive with Oracle9i Application Server Disk 1.
   
  1.8.69 Response File Variable Settings for Oracle9iAS Portal Silent Install
  
   If you wish to perform a silent install of Oracle Portal, you must set
   the certain variables in the response file. The variables are shown
   below, with sample values for each component. Note the following
   exceptions:
     * If the Oracle HTTP Server is running on the default port (7777 on
       UNIX, 80 on Windows NT), then you don't need to specify it.
       
     * If log_tablespace, def_tablespace, doc_tablespace, or
       log_tablespace is USERS and tmp_tablespace is TEMP, then you don't
       need to specify them.
       
     * You should specify the parameter b_configurePortal only if you are
       performing a standalone installation of Oracle Portal.
       

[oracle.webdb_3.0.8.9.8]

#Parameter: silent
#Type: Boolean
#Description: This variable is true if silent mode is on. It is passed to the
wwv component.
silent=true

#Parameter: b_configurePortal
#Type: Boolean
#Description: This is a public variable. When set it will disable the
configuration wizard (OPCA) as well as the dialogs.
b_configurePortal=true

[oracle.webdb.wwv_3.0.8.9.8]

#Parameter: sys_password
#Type: String
#Description: System Password for Portal's OPCA
sys_password="change_on_install"

#Parameter: tmp_tablespace
#Type: String
#Description: Temporary Tablespace for Portal's OPCA
tmp_tablespace="TEMP"

#Parameter: log_tablespace
#Type: String
#Description: Logging tablespace for Portal's OPCA
log_tablespace="USERS"

#Parameter: doc_tablespace
#Type: String
#Description: Document Tablespace for Portal's OPCA
doc_tablespace="USERS"

#Parameter: def_tablespace
#Type: String
#Description: Default Tablespace for Portal's OCPA
def_tablespace="USERS"

[oracle.webdb.apache_1.3.12.0.2b]

#Parameter: port
#Type: String
#Description: This variable holds the value of the port on which the #listener
will be started. Default value for apache is 7777 on solaris #and 80 on nt.
port="7777"

#Parameter: user_input1
#Type: StringList
#Description: This variable takes the input from the first dialog.
user_input1={"portal30_sso", "portal30_sso", "a816"}

#Parameter: user_input2
#Type: StringList
#Description: This variable holds the input from dialog2.
user_input2={"portal30", "portal30", "a816"}

#Parameter: opca_tnsconnect
#Type: String
#Description: tns connect string which is required by Oracle Portal Config
Assistant. This should be in <machine name>:<port>:<sid> format. opca_
tnsconnect="machine_name:port:sid"

  1.8.70 Oracle9iAS Discoverer Patch
  
   A patch is now available for Oracle9iAS Discoverer. The patch resolves
   a number of issues and also automates the migration of user
   preferences from Discoverer3i to Discoverer4i. We strongly advise you
   to obtain and apply this patch as part of the process of installing
   and configuring Oracle9iAS Discoverer.
   
   You can obtain the patch from Oracle Metalink at:

http://metalink.oracle.com/

   or through the usual support channels.
    1. Login to MetaLink.
       
    2. Click on the 'Patches' tab in the left-hand navigation bar.
       Metalink patch areas have changed, so follow the directions below.
       
    3. On the new page, click on the link :
       
   "==> NEW! Click here for ALL Product Patches"
   
   At the time of publication a patch number had not been assigned. You
   can locate the patches by searching for Oracle Discoverer patches for
   release 4i or 4.1.
   
  1.8.71 Running databasesetup.bat
  
   In order to run databasesetup.bat, you must modify the jdbc connection
   string in ImageLoader\ImageLoader.java must be modified to reflect the
   setup of the machine. For more information, see bc4j.html.
   
  1.8.72 spatial.properties FIle Path Correction
  
   The spatial.properties file, located at

%ORACLE_HOME%\panama\server\classes\oracle\panama\spatial

   contains incorrect directory slashes. The parser interprets back
   slashes as forward slashes, so after installation, change the path in
   this file to:

C:/oracle/iashome/panama/server/classes/...

  1.8.73 spatial.properties file Configuration Location
  
   If 9iAS Wireless Edition is installed at C:\ORANT, then the
   spatial.properties file is installed at the following locations:

C:\ORANT/panama/ServiceDesigner/classes/oracle/panama/spatial

   and

C:\ORANT/panama/server/classes/oracle/panama/spatial

   The spatial.properties file has pointers to the locations of the XML
   files for Geocoders, Routers, YP, Mapping and Positioning service
   providers and their login etc.
   
   Currently, the information for Geocoders is shown as:

C:\ORANT/panama/ServiceDesigner/classes/oracle/panama/spatial/geocoder/

Geocoders.xml

   and

C:\ORANT/panama/server/classes/oracle/panama/spatial/geocoder/

Geocoders.xml

   with "/", respectively. This also applies to other Location features
   such as Routers, YP, Mapping and Positioning.
   
   Instead, following the Win NT method of conveying directory location,
   it should be changed to:

C:\ORANT\panama\ServiceDesigner\classes\oracle\panama\spatial\

geocoder\Geocoders.xml

   and

C:\ORANT\panama\server\classes\oracle\panama\spatial\geocoder\

Geocoders.xml

   with a "\' in the path. This also applies to other Location features
   like Routers, YP, Mapping and Positioning.
   
  1.8.74 Long Pathname in TEMP environment variable Causes Installation Error
  
   The recommended value for the TEMP environment variable is
   <system drive>:/TEMP. If longer pathnames are used, installation may
   stop with an error message that tells you to ensure that the drive is
   writable and there is sufficient disk space.
   
  1.8.75 Oracle9iAS Web Cache Core Dumps if Capacity Parameter Too Low
  
   If the number of requests processed is much larger than the capacity
   parameter setting, and most of the requests are made to non-cacheable
   pages, then the web cache may core dump.
   
   To remedy this, set the capacity parameter to a number close to the
   number of requests expected. A core dump did not occur in a test with
   400 clients requesting a non-cacheable page, with the capacity
   parameter set to 400. In the same test, with the parameter set to 30
   (the default), a core dump occurred.
   
   The capacity parameter setting is located in the Application Web
   Server section.
   
  1.8.76 Error When Starting Oracle HTTP Server
  
   The following error may occur when you start the HTTP Server after
   de-installation and re-installation of iAS into the same Oracle home:

Syntax error on line 14 of <ORACLE_HOME>Apache\Apache\conf\mod_ose.conf:
AuroraService - directive already in effect for this server

   To resolve this error:
    1. Open the <ORACLE_HOME>Apache\Apache\conf\oracle_apache.conf file.
       
    2. Remove the duplicate of the following line:
       

include "<ORACLE_HOME>Apache\Apache\conf\mod_ose.conf"

    3. Re-start the HTTP Server.
       
  1.8.77 Oracle Developer 60 Folder Not Accessible Error
  
   The following error occurs during installation of Oracle9iAS
   Enterprise Edition:

 C:\WINNT\Profiles\All Users\Start Menu\Programs\Oracle Developer 60 is not
accessible. This folder was moved or removed.

   This is a known error that has no effect on the successful
   installation or functionality of any Oracle 9iAS component. It
   originates in the installation of an Oracle Forms and Oracle Reports
   patch, which removes the Start menu group created when Forms and
   Reports is initially installed. Windows NT generates an error because
   the group is removed while its window is open.
   
  1.8.78 OraInventory Directory Requires Backup Before Migration
  
   Before running the migration process in the Oracle Universal
   Installer, you must back up the OraInventory directory.
   
   If migration fails or is cancelled in progress, subsequent attempts
   might also fail because of changes the installer made to the
   OraInventory directory. After any incomplete migration process,
   restore the OraInventory directory from your pre-migration backup
   before attempting migration again.
   
  1.8.79 JServ Availability on Windows 2000
  
   If your mod_jserv.log file contains errors such as:

(EMERGENCY) ajp12: cannot connect to host <ip address:port>
(EMERGENCY) ajp12: connection fail

   Add the following to your jserv.conf file:

ApJServRetryAttempts 5

  1.8.80 Enhancing Forms and Reports Scalability
  
   For instructions on rebasing Forms and Reports DLLs, see the README
   file located in the /Extras/Forms_Reports directory.
   
  1.8.81 Internet Developer Suite Database Port Conflict
  
   You must manually change the iDS database listener ports to listen on
   ports other than 1521 and 2841.
   
     _________________________________________________________________
                                      
   Copyright (c) 2001 Oracle Corporation.
   All Rights Reserved.
